package com.candidjava.hibernate;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;

public class UserDao {
	public Session getSession() {
		Session session = null;
		try {
			Configuration cfg = new Configuration();
			cfg.configure("hibernate.cfg.xml");
			SessionFactory factory = cfg.buildSessionFactory();
			session = factory.openSession();

		} catch (Exception e) {
			System.out.println(e);
		}
		return session;

	}

	public void InsertUser(User us) {
		Session session = getSession();
		Transaction tx = session.beginTransaction();
		session.save(us);
		tx.commit();
		session.close();
	}

	public User getByUsername(String name) {
		Session session = getSession();
		User user = (User) session.getNamedQuery("name").setString("un", name)
				.uniqueResult();
		return user;
	}

}
